var displayName = 'mozImage';
var pakage = '/mozimage.mozdev.org/mozImage';
var version = '1.3.2';
var jarFileName = 'mozimage.jar';

var err = initInstall(displayName, pakage, version);
logComment("initInstall: " + err);
resetError();

var fldr = getFolder('Profile', 'chrome');
setPackageFolder(fldr);

addFile('chrome/' + jarFileName);

var regfldr = getFolder(fldr, jarFileName);
registerChrome(CONTENT | PROFILE_CHROME, regfldr, 'content/');
registerChrome(SKIN | PROFILE_CHROME, regfldr, 'skin/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/en-US/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/it-IT/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/es-ES/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/fr-FR/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/cs-CZ/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/ja-JP/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/ca-AD/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/sv-SE/');
registerChrome(LOCALE | PROFILE_CHROME, regfldr, 'locale/zh-TW/');

err = getLastError();

if (err == SUCCESS)
{
  logComment('Installing mozImage.');
  performInstall();
} 
else 
{
  logComment('Error installing mozImage: ' + err);
  cancelInstall();
}
